/* ---------------------------------------------- *
 * base.css
 * ========
 * 
 * Author
 * ------
 * Antonio R. Collins II (rc@tubularmodular.com, ramar.collins@gmail.com)
 * 
 * Copyright
 * ---------
 * Copyright 2016-Present, "Tubular Modular"
 * Original Author Date: Tue Jul 26 07:26:29 2016 -0400
 * 
 * Summary
 * -------
 * Integrates Eric Meyer's CSS Reset code courtesy of this page:
 * http://meyerweb.com/eric/tools/css/reset/
 * 
 * ---------------------------------------------- */
html, body, div, 
h1, h2, h3, h4, h5, h6, 
p, pre,
a, img, b, u, i, center, dl, dt, dd, ol, ul, li,
fieldset, form, label, legend, table, caption, 
tbody, tfoot, thead, tr, th, td, article, aside, 
canvas, details, embed, figure, figcaption, 
footer, header, hgroup, menu, nav, output, ruby, 
section, summary, time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after, q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/*global*/
html {
	font-family: 'Figtree', Arial;
	background-color: #000307;
	background-color: #000711; 
	background-color: rgb(243,250,255);
	background-color: #fff; 
	color: #000;
	color: #000307;
	color: #000711; 
	height: 100%;
}

pre {
	font-family: "Lucida Console", "Lucida Sans Typewriter", monaco, "Bitstream Vera Sans Mono", monospace;
	width: 95%;
	margin: 0 auto;
	background-color: white;
	color: black;
	margin-top: 10;
	padding: 5;
	font-size: 12px;
}

h1,h2,h3,h4,h5,h6 {
	font-weight: bold;
	margin-bottom: 10px;
}


h1, h2, h3, h4 {
	font-size: 3.0em;
	font-weight: bold;
	line-height: 1.0em;
}

h2 {
	font-size: 2.0em;
}

h3 {
	font-size: 1.5em;
}

h4 {
	font-size: 1.2em;
}

footer {
	position: relative;	
	/*background: rgba( 200, 200, 200, 1 );*/
	background: rgb(255,83,0);
	color: black;
	font-size: 0.6em;
	text-align: center;
	top: 0px;
	line-height: 13px;
	min-height: 50px;
	padding-top: 20px;
	padding-bottom: 20px;
	margin-bottom: 0px;
	width: 100%;
}

footer a ,
footer a:visited {
	color: black;
}

.container {
	width: 100%;
	height: auto;
}

.container-full {
	position: relative;
	width: 100%;
	display: block;
	z-index: 19;
}

.container-top,.container-bottom {
	position: fixed;
	top: 0px;
	left: 0px;	
	height: 40px;
  background-image: linear-gradient(to top, rgba(0,3,7,0), rgba(0,3,7,1));
}

.middle {
	width: 70%;
	min-width: 300px;
	margin: 0 auto;
	margin-top: 15%;
	min-height: 80%;
}

.middle ul.langs {
	list-style: inside; 	
	list-style-type: disc; 	
	line-height: 1.2em;
	margin-bottom: 40px;
}

.middle p {
	margin-bottom: 10px;
}

.middle pre {
	margin-top: 20px;
	margin-bottom: 20px;
	padding: 10px;
}

.middle ul {
	margin-bottom: 20px;
}

.blog {
	z-index: 0;
}

.blog h1 a,
.blog h2 a,
.blog h3 a,
.blog h1 a:visited,
.blog h2 a:visited,
.blog h3 a:visited
{
	text-decoration: none;
	letter-spacing: 2px;
	color: #000711; 
}


.blog div.time {
	font-size: 0.7em;
	word-spacing: 3px;
	text-align: right;
	margin-bottom: 15px;
}

.blog div.time span {
	word-spacing: 0px;
}

.blog div.post {
	margin-bottom: 55px;
}

.blog div.post a.comments {
	color: white;	
	font-size: 0.8em;
}

.blog div.post .featured-image {
	position: relative;
	width: 100%;
	height: 200px;
	overflow: hidden;
	margin-bottom: 10px;	
}

.blog div.post .featured-image img {
	position: relative;
	width: 100%;
	top: -300px;
}

.blog div.post p {
	line-height: 1.2em;	
	font-size: 1.8em;	
}


.switch-theme {
	margin-top: 12px; 
	font-size: 0.7em;
}

.switch-theme a:hover {
	text-decoration: underline;	
}

.switch-theme p {
	font-size: 0.8em;
	margin-bottom: 3px;
}

@media screen and (max-width: 666px) {
	.switch-theme {
		position: absolute;
		top: 15px;
		left: 20px;
		color: white;
	}
}
